Summary: Fast compression and decompression utilities
Name:    ncompress
Version: 4.2.4.4
Release: 3%{?dist}
License: Public Domain
URL:    http://ncompress.sourceforge.net/
Source0: http://prdownloads.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz

Patch3000: ncompress-4.2.4.4-make.patch
Patch3001: ncompress-4.2.4.4-lfs.patch
Patch3002: ncompress-4.2.4.4-filenamelen.patch
Patch3003: ncompress-4.2.4.4-2GB.patch
Patch3004: ncompress-4.2.4.4-endians.patch
Patch3005: ncompress-4.2.4.4-memmove.patch
Patch3006: ncompress-4.2.4.4-silence-gcc.patch

BuildRequires: make gcc glibc-devel

%description
The ncompress package contains the compress and uncompress file compression and decompression
utilities, which are compatible with the original UNIX compress utility (.Z file extensions).  These
utilities can't handle gzipped (.gz file extensions) files, but gzip can handle compressed files.

Install ncompress if you need compression/decompression utilities which are compatible with the
original UNIX compress utility.


%prep
%autosetup -n %{name}-%{version} -p1
sed "s/\$(ARCH_FLAGS)/$ARCH_FLAGS/" Makefile.def > Makefile

%build
%ifarch sparc m68k armv4l ppc s390 s390x ppc64 sparc64
ARCH_FLAGS="$ARCH_FLAGS -DBYTEORDER=1234"
%endif

%ifarch alpha ia64
ARCH_FLAGS="$ARCH_FLAGS -DNOALLIGN=0"
%endif

make CFLAGS="%{optflags} %{build_ldflags}"

%install
install -p -Dm755 compress %{buildroot}/%{_bindir}/compress
ln -sf compress %{buildroot}/%{_bindir}/uncompress
install -p -Dm644 compress.1 %{buildroot}%{_mandir}/man1/compress.1
ln -sf compress.1 %{buildroot}%{_mandir}/man1/uncompress.1

%files
%doc LZW.INFO README
%{_bindir}/compress
%{_bindir}/uncompress
%{_mandir}/man1/*

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.2.4.4-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.2.4.4-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Mar 14 2023 Shuo Wang <abushwang@tencent.com> - 4.2.4.4-1
- initial build
